Package twisted :: Package web :: Package woven :: Module view

[show private | hide private]
[frames | no frames]

## Module twisted.web.woven.view

Classes
`LiveView` |
`View` |
`ViewNodeMutator` | A ViewNodeMutator replaces the node that is passed into generate with the result of generating the View it adapts.
`WView` |

Function Summary
| `filterStack(stack)`
| `peek(stack)`
| `poke(stack, new)`
| ``registerViewForModel`(view, model)` Registers `view' as an adapter of `model' for `interfaces.IView`.
| `viewFactory(viewClass)`
| `viewMethod(viewClass)`

Variable Summary
`str` | `__version__`
`_Feature` | `nested_scopes`
`int` | `NOT_DONE_YET`

Function Details

### registerViewForModel(view, model)

Registers `view' as an adapter of `model' for `interfaces.IView`.

Variable Details

### __version__

  Type:
    `str`
  Value:

        '1.77'

### nested_scopes

  Type:
    `_Feature`
  Value:

        _Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'alpha', 0), 16)

### NOT_DONE_YET

  Type:
    `int`
  Value:

        1

Generated by Epydoc 1.1 on Thu May 8 13:17:07 2003 | http://epydoc.sf.net